> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Burn tokens

> Burn tokens in a collection



## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml post /tokenization/collections/{id}/tokens/burn
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /tokenization/collections/{id}/tokens/burn:
    post:
      tags:
        - Tokenization
      summary: Burn tokens
      description: Burn tokens in a collection
      operationId: burnCollectionToken
      parameters:
        - name: id
          required: true
          in: path
          description: The collection link id
          example: fbfbfbfb-fbfb-fbfb-fbfb-fbfbfbfbfbfb
          schema:
            type: string
        - $ref: '#/components/parameters/X-Idempotency-Key'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CollectionBurnRequestDto'
      responses:
        '202':
          description: Tokens burned successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CollectionBurnResponseDto'
        default:
          $ref: '#/components/responses/Error'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response:
            Promise<FireblocksResponse<CollectionBurnResponseDto>> =
            fireblocks.tokenization.burnCollectionToken(tokenizationApiBurnCollectionTokenRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<CollectionBurnResponseDto>> response =
            fireblocks.tokenization().burnCollectionToken(collectionBurnRequestDto,
            id, idempotencyKey);
        - lang: Python
          source: >-
            response =
            fireblocks.tokenization.burn_collection_token(collection_burn_request_dto,
            id, idempotency_key);
components:
  parameters:
    X-Idempotency-Key:
      name: Idempotency-Key
      in: header
      description: >-
        A unique identifier for the request. If the request is sent multiple
        times with the same idempotency key, the server will return the same
        response as the first request. The idempotency key is valid for 24
        hours.
      required: false
      schema:
        type: string
  schemas:
    CollectionBurnRequestDto:
      type: object
      properties:
        vaultAccountId:
          type: string
          description: The id of the vault account that initiates the burn function
          example: '0'
        tokenId:
          type: string
          description: The token id
          example: '1'
        amount:
          type: string
          description: >-
            For ERC721, amount is optional or should always be 1 and for
            ERC1155, amount should be 1 or greater
          example: '1'
        externalId:
          type: string
          description: >-
            External id that can be used to identify the transaction in your
            system. The unique identifier of the transaction outside of
            Fireblocks with max length of 255 characters
          example: 0192e4f5-924e-7bb9-8e5b-c748270feb38
      required:
        - vaultAccountId
        - tokenId
    CollectionBurnResponseDto:
      type: object
      properties:
        txId:
          type: string
          description: Transaction Id for the burn operation
          example: fbfbfbfb-fbfb-fbfb-fbfb-fbfbfbfbfbfb
      required:
        - txId
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs

````